From 46371fe81657e97cb2481c0436b5c72cd0839fbe Mon Sep 17 00:00:00 2001 From: o9000 Date: Sat, 25 Mar 2017 11:49:37 +0100 Subject: [PATCH] Release 0.13.3 --- ChangeLog | 5 +++++ README.md | 6 +++--- doc/readme.html | 4 ++-- doc/tint2.1 | 2 +- doc/tint2.md | 2 +- get_version.sh | 42 +----------------------------------------- make_release.sh | 35 +++-------------------------------- 7 files changed, 16 insertions(+), 80 deletions(-) diff --git a/ChangeLog b/ChangeLog index 7a4c2bf..8f85c01 100644 --- a/ChangeLog +++ b/ChangeLog @@ -1,3 +1,8 @@ +2017-03-25 0.13.3 +- Fixes: + - Fixed autohide for non-bottom panels (issue #632) + - Translations updated (contributed by Vladimir) + 2017-03-19 0.13.2 - Fixes: - Fixed compilation under FreeBSD diff --git a/README.md b/README.md index 93f695b..3a82513 100644 --- a/README.md +++ b/README.md @@ -1,5 +1,5 @@ -# Latest stable release: 0.13.2 -Changes: https://gitlab.com/o9000/tint2/blob/0.13.2/ChangeLog +# Latest stable release: 0.13.3 +Changes: https://gitlab.com/o9000/tint2/blob/0.13.3/ChangeLog Documentation: [doc/tint2.md](doc/tint2.md) @@ -8,7 +8,7 @@ Compile it with (after you install the [dependencies](https://gitlab.com/o9000/t ``` git clone https://gitlab.com/o9000/tint2.git cd tint2 -git checkout 0.13.2 +git checkout 0.13.3 mkdir build cd build cmake .. diff --git a/doc/readme.html b/doc/readme.html index 9a75326..2f39270 100644 --- a/doc/readme.html +++ b/doc/readme.html @@ -199,9 +199,9 @@ pre { -

Latest stable release: 0.13.2

Changes: https://gitlab.com/o9000/tint2/blob/0.13.2/ChangeLog

Documentation: manual.html

Compile it with (after you install the dependencies):

git clone https://gitlab.com/o9000/tint2.git
+

Latest stable release: 0.13.3

Changes: https://gitlab.com/o9000/tint2/blob/0.13.3/ChangeLog

Documentation: manual.html

Compile it with (after you install the dependencies):

git clone https://gitlab.com/o9000/tint2.git
 cd tint2
-git checkout 0.13.2
+git checkout 0.13.3
 mkdir build
 cd build
 cmake ..
diff --git a/doc/tint2.1 b/doc/tint2.1
index 0aed09d..a502a54 100644
--- a/doc/tint2.1
+++ b/doc/tint2.1
@@ -1,4 +1,4 @@
-.TH TINT2 1 "2017\-03\-12" 0.13.2
+.TH TINT2 1 "2017\-03\-12" 0.13.3
 .SH NAME
 .PP
 tint2 \- lightweight panel/taskbar
diff --git a/doc/tint2.md b/doc/tint2.md
index 2adff8a..75e73d1 100644
--- a/doc/tint2.md
+++ b/doc/tint2.md
@@ -1,4 +1,4 @@
-# TINT2 1 "2017-03-12" 0.13.2
+# TINT2 1 "2017-03-12" 0.13.3
 
 ## NAME
 tint2 - lightweight panel/taskbar
diff --git a/get_version.sh b/get_version.sh
index 6da3e6f..830da77 100755
--- a/get_version.sh
+++ b/get_version.sh
@@ -1,46 +1,6 @@
 #!/bin/sh
 
-MAJOR=0.13
-DIRTY=""
-
-if git status 1>/dev/null 2>/dev/null
-then
-    git update-index -q --ignore-submodules --refresh
-    # Disallow unstaged changes in the working tree
-    if ! git diff-files --quiet --ignore-submodules --
-    then
-        if [ "$1" = "--strict" ]
-        then
-            echo >&2 "Error: there are unstaged changes."
-            git diff-files --name-status -r --ignore-submodules -- >&2
-            exit 1
-        else
-            DIRTY="-dirty"
-        fi
-    fi
-
-    # Disallow uncommitted changes in the index
-    if ! git diff-index --cached --quiet HEAD --ignore-submodules --
-    then
-        if [ "$1" = "--strict" ]
-        then
-            echo >&2 "Error: there are uncommitted changes."
-            git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2
-            exit 1
-        else
-            DIRTY="-dirty"
-        fi
-    fi
-    VERSION=$(git describe --exact-match 2>/dev/null || echo "$MAJOR-git$(git show -s --pretty=format:%ci | cut -d ' ' -f 1 | tr -d '-').$(git show -s --pretty=format:%h)")$DIRTY
-else
-    VERSION=$(head -n 1 ChangeLog | cut -d ' ' -f 2)
-    if [ $VERSION = "master" ]
-    then
-        VERSION=$VERSION-$(head -n 1 ChangeLog | cut -d ' ' -f 1)
-    fi
-fi
-
-VERSION=$(echo "$VERSION" | sed 's/^v//')
+VERSION=0.13.3
 
 echo '#define VERSION_STRING "'$VERSION'"' > version.h
 echo $VERSION
diff --git a/make_release.sh b/make_release.sh
index bfed341..20945a2 100755
--- a/make_release.sh
+++ b/make_release.sh
@@ -2,24 +2,6 @@
 
 # Usage: ./make_release.sh
 # Creates a tar.gz archive of the current tree.
-#
-# To bump the version number for the current commit (make sure you are in HEAD!), run manually:
-#
-# git tag -a v0.12 -m 'Version 0.12'
-#
-# To generate a release for an older tagged commit, first list the tags with:
-#
-# git tag
-#
-# then checkout the tagged commit with:
-#
-# git checkout tags/v0.1
-#
-# Finally, to revert to HEAD:
-#
-# git checkout master
-#
-# See more at https://gitlab.com/o9000/tint2/wikis/Development
 
 VERSION=$(./get_version.sh --strict)
 if [ ! $? -eq 0 ]
@@ -28,21 +10,10 @@ then
     exit 1
 fi
 
-DIR=tint2-$VERSION
-ARCHIVE=$DIR.tar.gz
-echo "Making release $DIR"
-rm -rf $DIR $ARCHIVE
+ARCHIVE=tint2-$VERSION.tar.gz
 
-git checkout-index --prefix=$DIR/ -a
-
-# Delete unneeded files
-rm -f $DIR/make_release.sh
-
-echo "echo \"#define VERSION_STRING \\\"$VERSION\\\"\" > version.h" > $DIR/get_version.sh
-
-# Create tarball and remove the exported directory
-tar -czf $ARCHIVE $DIR
-rm -rf $DIR
+echo "Making release tint2-$VERSION"
+git archive --format=tar.gz --prefix=tint2-$VERSION/ v$VERSION >$ARCHIVE
 
 sha1sum -b $ARCHIVE
 sha256sum -b $ARCHIVE